import maya.mel
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEapClosureTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        self.beginLayout("Closure Attributes", collapse=False)
        self.addControl('input', label='Input')
        self.addControl('closure_type', label='Closure Type')
        self.addControl('weight', label='Weight')
        self.endLayout()
        maya.mel.eval('AEdependNodeTemplate '+self.nodeName)
        self.addExtraControls()
        self.endScrollLayout()
        